# GUIIndividual

class GUIIndividual<T : ForInventory>(guiData: GUIData<T>, resetOnClose: Boolean, resetOnQuit: Boolean) : GUI<T>
Content copied to clipboard

## Functions

closeGUI
Link copied to clipboard
open override fun closeGUI()
Content copied to clipboard
Closes this GUI for all viewers and unregisters all instances.
deleteInstance
Link copied to clipboard
fun deleteInstance(player: Player): Unit?
Content copied to clipboard
getAllInstances
Link copied to clipboard
open override fun getAllInstances(): MutableCollection<GUIInstance<T>>
Content copied to clipboard
Returns all active instances of this GUI.
getInstance
Link copied to clipboard
open override fun getInstance(player: Player): GUIInstance<T>
Content copied to clipboard
Returns the instance beloning to the given player.

## Properties

data
Link copied to clipboard
val data: GUIData<T>
Content copied to clipboard